---
title: contains
slug: Web/XPath/Functions/contains
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>contains</code> function determines whether the first argument string contains the second argument string and returns boolean true or false.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">contains(<em>haystack</em>, <em>needle</em>)
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><code><em>haystack</em></code></dt>
 <dd>The string to be searched</dd>
</dl>

<dl>
 <dt><code><em>needle</em></code></dt>
 <dd>The string to look for as a substring of <code><em>haystack</em></code></dd>
</dl>

<h3 id="Returns">Returns</h3>

<p><code>true</code> if <code><em>haystack</em></code> contains <code><em>needle</em></code>. Otherwise, <code>false</code>.</p>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-contains">XPath 1.0 4.2</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
